aggiornamento pacchetto

Asked by fulvio on 2011-06-27

su una debian squeeze la progedura di aggiornamento (apt-get upgrade) lascia come non aggiornato preventares.

in sources.lisy ho la seguente stringa:
deb http://ppa.launchpad.net/davide-vescovini/dav80-repository/ubuntu maverick main

la vesrione installata é:
ii preventares 11.04.4-public7

quella disponibile nei repository è la 11.06

dove sbaglio?

grazie e un saluto.

fulvio

Question information

Language:
Italian Edit question
Status:
Answered
For:
PreventARES Edit question
Assignee:
dav80 Edit question
Last query:
2011-07-01
Last reply:
2011-07-03
dav80 (davide-vescovini) said : #1

potresti postare l'output del comando (da terminale):
sudo apt-get update && sudo apt-get upgrade

altra possibilità:
ubunutu lucid è basata su debian sqeeze hai provato a sostituire 'maveric' con 'lucid' ?
ciao

fulvio (fulviopizzigoni) said : #2

l'update si conclude sensa errori è piuttosto lungo e te lo risprmio.
nel sources.list ho comunque questa sezione:
deb http://ppa.launchpad.net/davide-vescovini/dav80-repository/ubuntu maverick main

l'update termina così:
debian-server:/home/fulvio# apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  gcj-jre gcj-jre-headless gij preventares
0 aggiornati, 0 installati, 0 da rimuovere e 4 non aggiornati

anche mettendo lucid nel repository ottengo lo stesso risultato.

grazie, ciao e scusa il ritardo nella risposta.

fulvio

dav80 (davide-vescovini) said : #3

potresti provare con un
sudo apt-get dist-upgrade

ma accertati preventivamente che altri software non vengano aggiornati contemporaneamente (il comando apt-get upgrade dovrebbe presentare solo preventares come pacchetto non aggiornato)

in alternativa puoi provare a rimuovere il software e reinstallarlo
sudo apt-get remove preventares
sudo apt-get install preventares

fulvio (fulviopizzigoni) said : #4

dist-upgrade lo avevo già provato senza esito.

ho seguito la tua seconda indicazione, ma, dopo avere rimosso preventares, tentando la sua reinstallazione ottengo:

# apt-get install preventares
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 preventares : Dipende: python-apport ma non è installabile
               Dipende: python-launchpad-integration ma non è installabile
E: Pacchetti danneggiati

non sembra tuttavia vi siano pacchetti danneggiati.

qualche idea?

Can you help with this problem?

Provide an answer of your own, or ask fulvio for more information if necessary.

To post a message you must log in.